Bug 1167857

Summary: gofer has broken dependencies in the F21 tree
Product: [Fedora] Fedora Reporter: Kalev Lember <kalevlember>
Component: goferAssignee: Jeff Ortel <jortel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: jortel, kevin, ssuehle
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: gofer-2.0.0-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-29 21:56:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1043131    

Description Kalev Lember 2014-11-25 14:17:25 UTC
From today's F-21 Branched report:

Broken deps for x86_64
----------------------------------------------------------
[gofer]
	ruby-gofer-0.77.1-2.fc21.noarch requires rubygem(qpid) >= 0:0.16.0

We had an effort this cycle to clean up broken dependencies and this one is the last remaining broken dependency on i386 / x86_64. The gofer-2.0.0-1.fc21 build fixes this; would be great if it could be pulled in as a Freeze Exception in order to have 0 broken dependencies in the base repo.

Should be minimal risk with pulling this in as it's a leaf package.

Comment 1 Kevin Fenzi 2014-11-25 14:25:20 UTC
+1 FE here

Comment 2 Fedora Update System 2014-11-25 16:05:48 UTC
gofer-2.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gofer-2.0.0-1.fc21

Comment 3 Fedora Update System 2014-11-25 21:24:26 UTC
Package gofer-2.0.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gofer-2.0.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15753/gofer-2.0.0-1.fc21
then log in and leave karma (feedback).

Comment 4 Scott Suehle 2014-11-26 20:15:12 UTC
Discussed at today's blocker review meeting [1]. Accepted as a AcceptedFreezeException. A fix for this would be considered during freeze.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-12/

Comment 5 Fedora Update System 2014-11-29 21:56:50 UTC
gofer-2.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.